@import "../../../../../global.scss";

.main {
  background-color: white;
  // height: 100vh;
  width: 100%;
}

.diagramContainer {
  justify-content: center;
  align-items: center;
  position: relative;
  display: flex;
  // padding: 20px;
  margin-bottom: 7%;
  margin-top: 5%;
}
.centerHead {
  text-align: center !important;
  position: absolute;
  margin-top: 5%;
  font-size: 1.5em;
  font-weight: bold;
  color: #53c1c1;
  @include mtablet {
    display: none;
  }
}
.item_description {
  @include mtablet {
    transition: none !important;
    z-index: 1 !important;
    transform: none !important;
    position: relative !important;
  }
}
.title {
  color: $Lime;
  font-weight: bold;
  font-size: 26px;
}
.tabDiv {
  width: 100%;
  display: flex;
  justify-content: center;
}
.tabHeader {
  margin-top: 5%;
  width: 85%;
  padding-bottom: 1rem;
  border-bottom: 1px solid $Blue;
  display: flex;
  justify-content: space-between;
}

.tabHeadButton {
  height: 25px;
  width: 40px;
  background-color: $Lime;
  border-radius: 20%;
}
$rotate: -90;
@mixin on-circle($item-count, $circle-size, $item-size) {
  position: relative;
  width: $circle-size;
  height: $circle-size;
  padding: 10px;
  list-style: none;
  > * {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    margin: -($item-size / 2);
    width: $item-size;
    height: $item-size;

    $angle: (360 / $item-count);

    @for $i from 1 through $item-count {
      &:nth-of-type(#{$i}) {
        transform: rotate($rotate * 1deg)
          translate($circle-size / 2)
          rotate($rotate * -1deg);
      }

      $rotate: $rotate + $angle;
    }
  }
}
.underline {
  border-bottom: 1px solid #53c1c1;
  padding-bottom: 5px;
  margin-bottom: 10px;
}
$item_size: 7em;
$circle_size: 30em;
.businnessContainer {
  @include bigScreen {
    @include on-circle(
      $item-count: 5,
      $circle-size: $circle_size,
      $item-size: $item_size
    );
  }
  & :focus {
    outline: none;
  }

  margin: 5em auto 0;

  @include mtablet {
    // margin: 5em auto 0;
    border: none;
    margin: 0;
    display: table-cell;
    width: 100%;
    list-style: none;
    padding: 25px;
  }
  span {
    z-index: 3;
    text-align: center;
    display: flex;
    width: 100%;
    border-radius: 50%;
    background-color: white;
    color: #53c1c1;

    @include bigScreen {
      &::after {
        content: attr(heading);
        position: absolute;
        width: 10em;
        font-weight: bold;
        font-size: medium;
        // @include transition (all 0.6s);
      }
      &:hover::after {
        opacity: 0;
      }
    }
    span {
      @include bigScreen {
        z-index: -2;
        position: absolute;
        height: auto;
        background-color: white;
        width: 20em;
        box-shadow: -1px -1px 10px rgba($Lime, 0.8);
        border-radius: 20px;
        flex: none;
        padding: 20px;
        padding-left: 38px;
        display: block;
        text-align: left;
        line-height: 1;
      }
      @include transition(all 0.4s);
      p {
        margin: 0;
      }
      @include mtablet {
        z-index: -2;
        position: relative;
        height: auto;
        background-color: white;
        width: auto;
        box-shadow: none;
        border-radius: 20px;
        flex: none;
        padding: 0;
        padding-left: 2em;
        display: block;
        text-align: left;
        line-height: 1;
        transition: all 0.4s;
        transform: none !important;
        padding-top: 0.5em;
      }
    }

    .businessBorder {
      height: $item_size;
      width: $item_size;
      border: solid 4px #53c1c1;
      border-radius: 100%;
      flex: none;
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: white;
      @include transition(all 0.4s);
      z-index: 3;
      position: relative;
      box-shadow: 0px 0px 24px -5px #888888;
      &:hover {
        border: solid 4px $Lime;
      }
      @include mtablet {
        &::before {
          content: "";
          z-index: -2;
          background-color: #53c1c1;
          width: 10px;
          height: 154%;
          top: 100%;
          left: 43%;
          position: absolute;
        }
      }
      @include mmobile {
        &::before {
          height: 142%
        }
      }
    }
  }
  li {
    &:nth-child(1) {
      @include bigScreen() {
        &::before {
          content: "";
          position: absolute;
          width: 200px;
          z-index: 2;
          top: 107%;
          left: 65%;
          border-bottom: 5px solid #53c1c1;
          transform: rotate(41deg);
        }
      }
      span {
        &::after {
          z-index: -3;
          transform: translate(-1.3em, -3.5em);
          width: max-content;
          margin-left: -37px;
        }
        span {
          transform: translate(-17em, -6em);
        }
      }
    }
    &:nth-child(2) {
      @include bigScreen() {
        &::before {
          content: "";
          position: absolute;
          width: 200px;
          z-index: 2;
          top: 168%;
          right: 0;
          border-bottom: 5px solid #53c1c1;
          transform: rotate(114deg);
        }
      }

      span {
        &::after {
          transform: translate(7em, 2em);
        }
        span {
          transform: translate(6em, -4em);
        }
      }
    }
    &:nth-child(3) {
      @include bigScreen() {
        &::before {
          content: "";
          position: absolute;
          width: 200px;
          z-index: 2;
          top: 31px;
          right: 100px;
          border-bottom: 5px solid #53c1c1;
          transform: rotate(180deg);
        }
      }
      span {
        &::after {
          transform: translate(8em, 2em);
        }
        span {
          transform: translate(5em, 3em);
        }
      }
    }
    &:nth-child(4) {
      @include bigScreen() {
        &::before {
          content: "";
          position: absolute;
          width: 200px;
          z-index: 2;
          bottom: 184px;
          border-bottom: 5px solid #53c1c1;
          transform: rotate(247deg);
          right: -10px;
        }
      }
      span {
        &::after {
          transform: translate(-10em, 2em);
        }
        span {
          transform: translate(-19em, 3em);
        }
      }
    }
    &:nth-child(5) {
      @include bigScreen() {
        &::before {
          content: "";
          position: absolute;
          width: 200px;
          z-index: -1;
          border-bottom: 5px solid #53c1c1;
          transform: rotate(320deg);
          left: 53px;
          bottom: 142px;
        }
      }
      span {
        &::after {
          transform: translate(-10em, 2em);
        }
        span {
          transform: translate(-18em, -5em);
        }
      }
    }

    @include mtablet {
      transform: none !important;
      z-index: 2;
      display: table;
      position: relative;
      margin-top: 4em;
      &:nth-child(5) {
        span {
          div {
            &::before {
              display: none !important;
            }
          }
        }
      }
    }
  }
}

.urlBusinessBorder{
  height: $item_size;
      width: $item_size;
      border: solid 4px $Blue;
      border-radius: 100%;
      flex: none;
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: $Blue;
      @include transition(all 0.4s);
      z-index: 3;
      position: relative;
      box-shadow: 0px 0px 24px -5px #888888;
      &:hover {
        border: solid 4px $Lime;
      }
      @include mtablet {
        &::before {
          content: "";
          z-index: -2;
          background-color: #53c1c1;
          width: 10px;
          height: 170%;
          top: 100%;
          left: 43%;
          position: absolute;
        }
      }
}

.divHead {
  padding-top: 10; 
  background-color: #094658;
  margin-top:-50px;

  @include smobile{
    margin-top: -5px;
  }

  @include xsmob {
    margin-top: 1px;
  }
}